Bug 448436 - Building the kernel from source creates another kernel than the precompiled one
Building the kernel from source creates another kernel than the precompiled one
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 16:40 EDT by Martin Niklasson
Modified: 2009-07-14 11:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Niklasson 2008-05-26 16:40:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
I own a Socket CF Bluetooth card in a PCMCIA adapter for my laptop. As discussed here:
http://www.adamis.de/linux/bt-socket.html
and here:
http://ubuntuforums.org/showthread.php?t=182926
this card requires a kernel patch to the serial drivers to work.

Well, my card didn't work with the precompiled kernel, I got exactly the symptoms as described on the web page (and I tried MANY times). So I got the patch from the Ubuntu forum and downloaded the Fedora kernel source rpm
kernel-2.6.25.3-18

But when I started to inspect the source code, it did indeed have the patch already installed. Then I compiled (without changing ANYTHING in the kernel source and the .config file) the kernel myself. And, presto! this kernel suddenly works with the card.

Could it be the case that the precompiled kernel is built from some other set of source code than the source rpm?


Version-Release number of selected component (if applicable):
kernel-2.6.25.3-18

How reproducible:
Always


Steps to Reproduce:
See description

Actual Results:
See description

Expected Results:
See description

Additional info:
Hardware used:
IBM Thinkpad 600X 450MHz Pentium III. Socket Bluetooth CF card Revision G. 

Error message from trying "hciattach /dev/ttyS0 socket":
BCSP initialization timed out

I tried writing my own udev rules too, but it didn't solve the problem (which is kind of natural, since I couldn't make it work by hand)
Comment 1 Chuck Ebbert 2008-06-05 22:10:13 EDT
Did you follow these directions to build the kernl?

http://fedoraproject.org/wiki/Docs/CustomKernel
Comment 2 Martin Niklasson 2008-06-10 03:40:45 EDT
Sorry about the late response. 

No, I did not follow that document while building my own kernel. In fact, I just
_did_ follow the document step-by-step. And you were right, I ended up with
another kernel where my Bluetooth card didn't work, just as the precompiled one.

This is still puzzling, because I was able to compile my own kernel where the
Bluetooth card works. This is fully repeatable, every time I boot with the
kernel I built myself, the card works, every time I boot with the stock kernel
(or the one built from those instructions) it doesn't work.

I will try to recreate the exact steps that I followed to make a kernel that
works and I will report back with that information, because something is clearly
strange here.

UPDATE: A new kernel was recently released (2.6.25.4-30.fc9.i686). This one has
the same problem regarding the Bluetooth card
Comment 3 Bug Zapper 2009-06-09 21:13:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:48:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.